{
    "parser": "babel-eslint",
    "env": {
        "browser": true,
        "jest": true,
        "es6": true
    },
    "extends": [
        "google"
    ],
    "rules": {
        // overrides
        "require-jsdoc": 0,
        "object-curly-spacing": [
            "error",
            "always"
        ],
        "max-len": ["error", { "code": 180 }],
        "func-style": "error",
        "semi": 2,
        "no-undef": 2,
        "linebreak-style":"off",
        "no-use-before-define": 0,
        "quotes": 2,
        "indent": ["error", 2],
        "arrow-parens": 0,
        "padded-blocks": 0,
        "no-empty": 2,
        "no-irregular-whitespace": 2,
        "valid-jsdoc": 2,
        "valid-typeof": 2,
        ////////// Best Practices //////////
        "prefer-const": 2,
        "consistent-return": 2,
        "eqeqeq": 2,
        "no-redeclare": 2,
        ////////// Variables //////////
        "no-shadow": 2, 
        "no-shadow-restricted-names": 2,
        "no-unused-vars": ["error", { "varsIgnorePattern": "_" }]
    },
    "globals": {
        "require": false,
        "describe": false,
        "it": false,
        "Promise": false,
        "beforeEach": false,
        "afterEach": false,
        "before": false,
        "after": false,
        "module": false
    },
    "parserOptions": {
        "ecmaVersion": 6,
        "sourceType": "module"
    }
}